Summary:	A hierarchical note taking application
Summary(pl.UTF-8):	Hierarchiczna aplikacja do robienia notatek
Name:		cherrytree
Version:	1.5.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://www.giuspen.com/software/%{name}_%{version}.tar.xz
# Source0-md5:	8dfc830eb7dbf91a156f6f36f2f2c7de
URL:		https://www.giuspen.com/cherrytree/
BuildRequires:	cmake >= 3.5
BuildRequires:	curl-devel
BuildRequires:	fribidi-devel
BuildRequires:	glibmm-devel >= 2.4
BuildRequires:	gspell-devel >= 1.0
BuildRequires:	gtkmm3-devel >= 3.0
BuildRequires:	gtksourceview4-devel >= 3.0
BuildRequires:	libfmt-devel >= 6.0
# C++17
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libxml++2-devel >= 2.6
BuildRequires:	pangomm-devel >= 1.4
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shared-mime-info
BuildRequires:	spdlog-devel >= 1:1.8.1
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	uchardet-devel
BuildRequires:	vte-devel
Requires:	shared-mime-info
Requires:	spdlog >= 1:1.8.1
Suggests:	p7zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A hierarchical note taking application, featuring rich text and syntax
highlighting, storing all the data (including images) in a single xml
file with extension ".ctd".

%description -l pl.UTF-8
Hierarchiczna aplikacja do notatek, wspierająca tekst sformatowany i
wyróżnianie składni, przechowująca wszystkie dane (w tym obrazy) w
jednym pliku XML z rozszerzeniem „.ctd”.

%prep
%setup -q -n %{name}_%{version}

%build
install -d build
cd build
%cmake .. \
	-DMAKE_BUILD_TYPE=Release \
	-DBUILD_TESTING=OFF

%{__make} cherrytree

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

## Remove old mime registration files
%{__rm} $RPM_BUILD_ROOT%{_datadir}/mime-info/cherrytree.*

# unify locale dirs
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hi_IN,hi}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{kk_KZ,kk}
# should be kk@latin, but not supported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/kk_LA

%find_lang %{name}

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog.txt license.txt
%attr(755,root,root) %{_bindir}/cherrytree
%{_datadir}/cherrytree
%{_datadir}/metainfo/net.giuspen.cherrytree.metainfo.xml
%{_desktopdir}/cherrytree.desktop
%{_iconsdir}/hicolor/scalable/apps/cherrytree.svg
%{_mandir}/man1/cherrytree.1*
%changelog
* Wed Jun 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cherrytree.git;a=log;h=master

* Wed Jun 04 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d7d899f
- up to 1.5.0

* Sun Mar 23 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4973712
- up to 1.4.0

* Fri Feb 07 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4be27fd
- up to 1.3.0

* Wed Nov 06 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7482377
- up to 1.2.0

* Tue Sep 24 2024 Jakub Bogusz <qboosh@pld-linux.org> ca1e505
- cleanup, updated dependencies; release 2 (gspell 1.14)

* Sun Jun 30 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9ed0398
- up to 1.1.4

* Sat Jun 15 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f34b62d
- up to 1.1.3

* Fri Apr 05 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e3d5a79
- up to 1.1.2

* Wed Apr 03 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8c2af2b
- up to 1.1.1

* Thu Mar 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 99d42eb
- up to 1.1.0

* Sun Dec 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6138104
- up to 1.0.4

* Sun Dec 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8d5607e
- up to 1.0.3

* Wed Sep 27 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0bea1a2
- up to 1.0.2

* Fri Aug 25 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1b438de
- up to 1.0.1

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> bba3859
- release 2 (libfmt 10, spdlog 1.12)

* Mon Jul 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> cd144ce
- up to 1.0.0

* Fri Jun 23 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2857c69
- up to 0.99.56

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8047773
- BR: vte-devel

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 423fad1
- up to 0.99.55

* Tue Jan 31 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0857dc0
- up to 0.99.54

